Skip to content
Back to top

# DrawDevice

The DrawDevice can be used to render to a Pixmap; either by running a Page using `Page.prototype.run()` with it or by calling the device methods directly.

## Constructors

class DrawDevice(matrix, pixmap)

  Create a device for drawing into a Pixmap. The Pixmap bounds used should match the transformed page bounds, or you can adjust them to only draw a part of the page.

  Arguments:

    - matrix (`Matrix`) – The matrix to apply.

    - pixmap (`Pixmap`) – The pixmap that will be drawn to.

      var drawDevice = new mupdf.DrawDevice(mupdf.Matrix.identity, pixmap)